{
  fetchgit,
  python3Packages,
  jre,
  ...
}: let
  src = fetchgit {
    url = "https://github.com/antipatico/balatromobile";
    sha256 = "P6MVmDiI6NLHqBYdkbtqExHKjkjLeD5bE/kTEyPxVTw=";
    fetchLFS = true;
  };
  pname = (builtins.fromTOML (builtins.readFile "${src}/pyproject.toml")).project.name;
  version = builtins.elemAt (builtins.match ".*([0-9]+\.[0-9]+\.[0-9]+).*" (builtins.readFile "${src}/balatromobile/__version__.py")) 0;
in
  python3Packages.buildPythonPackage {
    inherit pname version src;

    pyproject = true;
    build-system = [python3Packages.flit];
    dependencies = [python3Packages.tabulate jre];
  }
