{
  description = "A Python Project Template.";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  };

  outputs = {
    self,
    nixpkgs,
    ...
  } @ inputs: let
    supportedSystems = ["x86_64-linux" "x86_64-darwin" "aarch64-linux" "aarch64-darwin"];
    forAllSystems = nixpkgs.lib.genAttrs supportedSystems;
    pkgs = forAllSystems (system: nixpkgs.legacyPackages.${system});
  in {
    # `nix build`
    packages = forAllSystems (system: rec {
      default = balatromobile;
      balatromobile = pkgs.${system}.callPackage ./default.nix {};
    });

    # `nix run`
    apps = forAllSystems (system: rec {
      default = balatromobile;
      balatromobile = {
        program = "${self.packages.${system}.balatromobile}/bin/balatromobile";
        type = "app";
      };
    });
  };
}
